a {
    color: gray;
}
body {
    background-color: black; /* Schwarzer Hintergrund */
    color: white;           /* Weiße Schrift */
    font-family: Arial, sans-serif; /* Gut lesbare Schriftart */
    margin: 0;
    padding: 0;
    overflow-x: hidden;
}
table{
    border-collapse: collapse;
    margin: 5px;
    margin-left: auto; /* Automatische Zentrierung */
    margin-right: auto; /* Automatische Zentrierung */
    border: 1px solid #ccc;
    text-align: center;
}
hr {
    border-collapse: collapse;
    margin: 10px;
    margin-left: auto; /* Automatische Zentrierung */
    margin-right: auto; /* Automatische Zentrierung */
    border: 1px solid #ccc;
    text-align: center;
    margin-bottom: 5px;
}
th, td {
    border: 1px solid #ddd;
    padding: 4px;
}
th {
    background-color: #222222;
    text-align: left;
}
.delete-button {
    background-color: #000000;
    color: white;
    border:  1px solid #ccc;
    border-bottom-color: white;
    padding: 5px 10px;
    cursor: pointer;
    display: none;
}
.delete-button:hover {
    background-color: #e60000;
}
th.sort-asc::after {
    content: " ▲"; /* Aufsteigend sortiert */
}
th.sort-desc::after {
    content: " ▼"; /* Absteigend sortiert */
}
th.in-header::before {
    content: "●";
    color: green;
    margin-right: 5px;
}
th.out-header::before {
    content: "●";
    color: red;
    margin-right: 5px;
}

@media (max-width: 600px) {
    body {
        font-size: 14px; /* Kleinere Schriftgröße für Mobilgeräte */
    }
    .navigation {
        display: none; /* Navigation ausblenden, falls nötig */
    }
    .iq-logo {
        background: white;
        color: black;
        
        border-radius: 2px;
        padding: 5px;
        margin: 0 auto; /* Zentriert das Element */
        margin-bottom: 5px;
    }
}
.container {
    width: 90%; /* Die Breite passt sich an die Bildschirmgröße an */
    margin: 0 auto; /* Zentriert den Inhalt */
}
legend
{
    border: 0px solid #ccc; /* Dünner Rahmen */
    padding: 5px; /* Optional: Innenabstand */
    border-radius: 5px; /* Optional: Abgerundete Ecken */
}

fieldset {
    margin: 0 auto;
    padding: 1em;
    border: 1px solid #ccc;
    border-radius: 5px; /* Optional: Abgerundete Ecken */
    margin-bottom: 5px;
}

/* Standard für kleinere Bildschirme (Handy) */
fieldset {

}
h1 {
            text-align: center; /* Zentriert den Text */
        }


/* Für größere Bildschirme (PC) */
@media (min-width: 768px)
{
    fieldset {
        width: 400px; /* Breite, die einem Handybildschirm entspricht */
    }
    hr {
     width: 400px; /* Breite, die einem Handybildschirm entspricht */
     margin: 0 auto; /* Zentriert das Element */
   }
   .iq-logo
     {
        width: 400px; /* Breite, die einem Handybildschirm entspricht */
        
        background: white;
        color: black;
        
        border-radius: 2px;
        padding: 5px;
        margin: 0 auto; /* Zentriert das Element */
        margin-bottom: 5px;
    }
}

label {
    display: block; /* Block-Level für saubere vertikale Ausrichtung */
    margin-bottom: 5px;
    font-weight: bold;
}
input {
    width: 100%; /* Eingabefelder gleich breit machen */
    padding: 8px;
    margin-bottom: 15px;
    box-sizing: border-box; /* Verhindert Überschreitungen bei Padding */
    border: 1px solid #ccc;
    border-radius: 5px;
}
button {
    padding: 10px 15px;
    background-color: #007BFF;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}